Subject: bug#73751: closed (Re: bug#73751: [cuirass] channel-update-service fails trying to find key with accent in the name)

From: [email-masked] (GNU bug Tracking System)
Date: Sun, 19 Jan 2025 18:20:02 +0000

Your bug report

#73751: [cuirass] channel-update-service fails trying to find key with accent in the name

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
73751: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=73751
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#73751: [cuirass] channel-update-service fails trying to find key with accent in the name
From: Ludovic Courtès <[email-masked]>
To: Noé Lopez <[email-masked]>
Cc: [email-masked]
Date: Sun, 19 Jan 2025 19:18:50 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Ludovic Courtès <[email-masked]> skribis:

> Noé Lopez <[email-masked]> skribis:
>
>> I was able to reproduce this from the cuirass checkout when unsetting
>> LANG and that indeed seems to be issue,
>
> OK, I’m pushing the proposed C.UTF-8 patch, then.

That was done as 33bed951079e11bc89bfaf9e9e4af3eb059a2951.

Subject: [cuirass] channel-update-service fails trying to find key with accent in the name
From: Noé Lopez <[email-masked]>
To: [email-masked]
Date: Fri, 11 Oct 2024 22:23:04 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

I’ve been trying to make my own channel and run cuirass on it for fun
and to learn more about how guix works.

Cuirass is failing to fetch the channel, because of something with the
key file: « 2024-10-11 21:34:11 error: Git error while fetching channels
from https://framagit.org/nll/bloup.git
https://git.savannah.gnu.org/git/guix.git: the path 'No?? Lopez.key'
does not exist in the given tree »

Indeed, it seems the accent in my name has been replaced with two
question marks…

The specification I’m using is the following:
(specification
	   (name 'bloup)
	   (build '(channels bloup))
	   (channels
	    (cons (channel
		   (name 'bloup)
		   (url "https://framagit.org/nll/bloup.git")
		   (introduction
		    (make-channel-introduction
		     "f627568549edd28c97dded5e5ec985cd11e95f58"
		     (openpgp-fingerprint
		      "5D54 CF25 57B2 38E8 8DC1 80A2 2D22 3241 0AB7 4043"))))
		  %default-channels)))

The unicode signing key doesn’t seem to cause a problem for guix pull,
only cuirass is complaining.

I can try to make a patch, tips and advice for finding the issue
would be greatly appreciated.

Good evening,
Noé « No?? » Lopez